Package Halberd :: Module shell :: Class BaseStrategy

[show private | hide private]
[frames | no frames]

## Class BaseStrategy

Known Subclasses:
  `ClueReaderStrategy`, `MultiScanStrategy`, `UniScanStrategy`

Defines the strategy used to scan.

A strategy is a certain way to use the program. Theses can be layered to build a bigger strategy doing more complex things, etc.

Method Summary
| `__init__(self, scantask)`
| ``execute`(self)` Executes the strategy.
| ``_analyze`(self)` Performs clue analysis.
| ``_scan`(self)` Allocates a work crew of scanners and launches them on the target.

Method Details

### execute(self)

Executes the strategy.

### _analyze(self)

Performs clue analysis.

### _scan(self)

Allocates a work crew of scanners and launches them on the target.

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net